@echo off
echo Checking Python installation...
python --version > nul 2>&1
if errorlevel 1 (
    echo Python is not installed or not in PATH
    echo Please install Python 3.10 from https://www.python.org/downloads/release/python-31011/
    echo Make sure to check "Add Python to PATH" during installation
    pause
    exit /b 1
)

echo Installing/Updating pip...
python -m pip install --upgrade pip

echo Installing requirements one by one...
echo Installing OpenCV...
python -m pip install opencv-python==4.8.1.78
echo Installing PyQt5...
python -m pip install PyQt5==5.15.9

echo Starting application...
python workspace_monitor.py
if errorlevel 1 (
    echo Application failed to start. Please check the error message above.
    pause
    exit /b 1
)
pause 